=== modified file 'debian/changelog'
--- debian/changelog	2007-05-04 20:58:44 +0000
+++ debian/changelog	2008-03-09 01:04:17 +0000
@@ -1,3 +1,18 @@
+tcm (2.20+TSQD-4.1) unstable; urgency=low
+
+  * Non-maintainer upload to fix Failure To Build From Source.
+
+  [ Barry deFreese ]
+  * Remove src/Config.tmpl symlink before copying debian/Config.tmpl.
+    (Closes: #464288).
+
+  [ Margarita Manterola ]
+  * Fix watch file (Closes: #449836).
+  * Fix debian/menu to use "Applications" instead of "Apps".
+  * Fix debian/copyright to include the proper copyright notice.
+
+ -- Margarita Manterola <marga@debian.org>  Sun, 09 Mar 2008 01:04:17 +0000
+
 tcm (2.20+TSQD-4) unstable; urgency=low
 
   * debian/Config.tmpl: Remove useless libraries from LDFLAGS.

=== modified file 'debian/copyright'
--- debian/copyright	2007-05-04 20:58:44 +0000
+++ debian/copyright	2008-03-09 01:04:17 +0000
@@ -8,7 +8,9 @@
                   Roel Wieringa <roelw@cs.utwente.nl>,
                   Henk van de Zandschulp <henkz@cs.utwente.nl>
 
-Copyright:
+Copyright: © Copyright 2001, Universiteit Twente.
+
+Licence:
 
    This package is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by

=== modified file 'debian/menu'
--- debian/menu	2007-05-04 20:58:44 +0000
+++ debian/menu	2008-03-09 01:04:17 +0000
@@ -1,160 +1,160 @@
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics"\
+  section="Applications/Graphics"\
   hints="Vector"\
   title="TCM Control Panel"\
   longtitle="TCM Control Panel"\
   command="/usr/bin/tcm"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Generic Editors"\
+  section="Applications/Graphics/TCM Generic Editors"\
   hints="Vector"\
   title="TGD - Tool for Generic Diagrams"\
   longtitle="TGD - Tool for Generic Diagrams"\
   command="/usr/bin/tgd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Generic Editors"\
+  section="Applications/Graphics/TCM Generic Editors"\
   hints="Vector"\
   title="TGT - Tool for Generic Tables"\
   longtitle="TGT - Tool for Generic Diagrms"\
   command="/usr/bin/tgt"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Generic Editors"\
+  section="Applications/Graphics/TCM Generic Editors"\
   hints="Vector"\
   title="TGTT - Tool for Generic Textual Trees"\
   longtitle="TGTT - Tool for Generic Textual Trees"\
   command="/usr/bin/tgtt"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Structured Analysis Editors"\
+  section="Applications/Graphics/TCM Structured Analysis Editors"\
   hints="Vector"\
   title="TESD - Tool for Entity Relationship Diagrams"\
   longtitle="TESD - Tool for Entity Relationship Diagrams"\
   command="/usr/bin/tesd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Structured Analysis Editors"\
+  section="Applications/Graphics/TCM Structured Analysis Editors"\
   hints="Vector"\
   title="TEFD - Tool for Data and Event Flow Diagrams"\
   longtitle="TEFD - Tool for Data and Event Flow Diagrams"\
   command="/usr/bin/tefd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Structured Analysis Editors"\
+  section="Applications/Graphics/TCM Structured Analysis Editors"\
   hints="Vector"\
   title="TSTD - Tool for State Trasition Diagrams (Mealy)"\
   longtitle="TSTD - Tool for State Trasition Diagrams (Mealy)"\
   command="/usr/bin/tstd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Structured Analysis Editors"\
+  section="Applications/Graphics/TCM Structured Analysis Editors"\
   hints="Vector"\
   title="TTUT - Tool for Transaction Use Tables"\
   longtitle="TTUT - Tool for Transaction Use Tables"\
   command="/usr/bin/ttut"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TUCD - Tool for Use Case Diagrams"\
   longtitle="TUCD - Tool for Use Case Diagrams"\
   command="/usr/bin/tucd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TSSD - Tool for Static Structure Diagrams"\
   longtitle="TSSD - Tool for Static Structure Diagrams"\
   command="/usr/bin/tssd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TATD - Tool for Activity Diagrams"\
   longtitle="TATD - Tool for Activity Diagrams"\
   command="/usr/bin/tatd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TSCD - Tool for Statechart Diagrams"\
   longtitle="TSCD - Tool for Statechart Diagrams"\
   command="/usr/bin/tscd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TSQD - Tool for Sequence Diagrams"\
   longtitle="TSQD - Tool for Sequence Diagrams"\
   command="/usr/bin/tsqd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TCBD - Tool for Collaboration Diagrams"\
   longtitle="TCBD - Tool for Collaboration Diagrams"\
   command="/usr/bin/tcbd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TCPD - Tool for Component Diagrams"\
   longtitle="TCPD - Tool for Component Diagrams"\
   command="/usr/bin/tcpd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM UML Editors"\
+  section="Applications/Graphics/TCM UML Editors"\
   hints="Vector"\
   title="TDPD - Tool for Deployment Diagrams"\
   longtitle="TDPD - Tool for Deployment Diagrams"\
   command="/usr/bin/tdpd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TERD - Tool for Entity Relationship Diagrams (classic)"\
   longtitle="TERD - Tool for Entity Relationship Diagrams (classic)"\
   command="/usr/bin/terd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TCRD - Tool for Class Relationship Diagrams (obsolete)"\
   longtitle="TERD - Tool for Class Relationship Diagrams (obsolete)"\
   command="/usr/bin/tcrd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TDFD - Tool for Data Flow Diagrams (subset of TEFD)"\
   longtitle="TDFD - Tool for Data Flow Diagrams (subset of TEFD)"\
   command="/usr/bin/tdfd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TPSD - Tool for Process Structure Diagrams (JSD)"\
   longtitle="TPSD - Tool for Process Structure Diagrams (JSD)"\
   command="/usr/bin/tpsd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TSND - Tool for System Network Diagrams (JSD)"\
   longtitle="TPSD - Tool for System Network Diagrams (JSD)"\
   command="/usr/bin/tsnd"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TRPG - Tool for Recursive Process Graphs"\
   longtitle="TRPG - Tool for Recursive Process Graphs"\
   command="/usr/bin/trpg"
 ?package(tcm):\
   needs="X11"\
-  section="Apps/Graphics/TCM Miscellaneous Editors"\
+  section="Applications/Graphics/TCM Miscellaneous Editors"\
   hints="Vector"\
   title="TTDT - Tool for Transaction Decomposition Tables"\
   longtitle="TTDT - Tool for Transaction Decomposition Tables"\

=== modified file 'debian/rules'
--- debian/rules	2007-05-04 20:58:44 +0000
+++ debian/rules	2008-03-09 01:04:17 +0000
@@ -18,6 +18,7 @@
 	dh_testdir
 
 	-$(MAKE) config
+	rm -f src/Config.tmpl
 	cp debian/Config.tmpl src/
 	touch configure-stamp
 

=== modified file 'debian/watch'
--- debian/watch	2003-07-03 20:08:21 +0000
+++ debian/watch	2008-03-09 01:04:17 +0000
@@ -1,5 +1,6 @@
-# Example watch control file for uscan
-# Rename this file to "watch" and then you can run the "uscan" command
-# to check for upstream updates and more.
-# Site		Directory		Pattern			Version	Script
-ftp://ftp.cs.utwente.nl	/pub/tcm/	tcm-(.*)\\.src\.tar\.gz	debian	uupdate
+# This watch file is mangled to match the upstream page, but it isn't
+# really useful, since the ftp site is currently dead.
+version=3
+opts=dversionmangle=s/\+TSQD$// \
+http://wwwhome.cs.utwente.nl/~tcm/software.html \
+h?[tf]tp://.+/tcm-([\d\.]*).src.tar.gz

